{ config, pkgs, ... }: {

  programs.git = {
    enable = true;
    userEmail = "${config.homecfg.git.email}";
    userName = "${config.homecfg.git.username}";
    signing = {
      key = "${config.homecfg.git.key}";
      signByDefault = true;
    };
    ignores = [ "*result*" ".direnv" "node_modules" ];
    extraConfig = { core.hooksPath = "./.dev/hooks"; };
  };

  home.packages = with pkgs; [ tig ];
}
