{ ... }: {

  services.kanshi = {
    enable = true;
    systemdTarget = "graphical-session.target";
    profiles = {
      tower_0 = {
        outputs = [{
          criteria = "CEX CX133 0x00000001";
          mode = "1920x1200@59.972";
          position = "0,0";
          scale = 1.0;
          status = "enable";
        }];
      };
      tower_1 = {
        outputs = [{
          criteria = "AOC 16G3 1DDP7HA000348";
          mode = "1920x1080@144.000";
          position = "0,0";
          status = "enable";
          scale = 1.0;
          adaptiveSync = true;
        }];
      };
      laptop_0 = {
        outputs = [{
          criteria = "LG Display 0x060A Unknown";
          mode = "1920x1080@60.020";
          position = "0,0";
          scale = 1.0;
          status = "enable";
        }];
      };
      laptop_1 = {
        outputs = [
          {
            criteria = "CEX CX133 0x00000001";
            mode = "2560x1600@59.972";
            position = "0,0";
            scale = 1.0;
            status = "enable";
          }
          {
            criteria = "LG Display 0x060A Unknown";
            mode = "1920x1080@60.020";
            position = "2560,0";
            scale = 1.0;
            status = "enable";
          }
        ];
      };
      laptop_2 = {
        outputs = [
          {
            criteria = "AOC 16G3 1DDP7HA000348";
            mode = "1920x1080@144.000";
            position = "0,0";
            status = "enable";
            scale = 1.0;
            adaptiveSync = true;
          }
          {
            criteria = "LG Display 0x060A Unknown";
            mode = "1920x1080@60.020";
            position = "1920,0";
            scale = 1.0;
            status = "enable";
          }
        ];
      };
    };
  };
}
