{ lib, config, pkgs, ... }:
let cfg = config.hostcfg.make.gui;
in {
  config = lib.mkIf cfg {
    services.xserver = {
      enable = true;
      videoDrivers = [ "amd" ];
      layout = "us";
      xkbVariant = "intl";
      excludePackages = [ pkgs.xterm ];
      exportConfiguration = true;
      #  libinput.touchpad.tapping = false;
      desktopManager.xterm.enable = false;
    };
  };
}
