{ config, pkgs, ... }: {
  programs.zsh.enable = true;
  users = {
    defaultUserShell = pkgs.zsh;
    users.${config.hostcfg.username} = {
      isNormalUser = true;
      description = "${config.hostcfg.username}";
      extraGroups = [
        "networkmanager"
        "wheel"
        "vboxsf"
        "adbusers"
        "lp"
        "audio"
        "video"
        "docker"
        "wireshark"
      ];
    };
  };
}
